| Home | Libraries | People | FAQ | More

#### strategy::transform::inverse_transformer

Transformation strategy to do an inverse transformation in a Cartesian coordinate system.

###### Synopsis

    template<typename CalculationType, std::size_t Dimension1, std::size_t Dimension2>
    class strategy::transform::inverse_transformer
          : public strategy::transform::ublas_transformer< CalculationType, Dimension1, Dimension2 >
    {
      // ...
    };

###### Template parameter(s)

Parameter | Description
--- | ---
typename CalculationType |
std::size_t Dimension1 |
std::size_t Dimension2 |

###### Constructor(s)

Function | Description | Parameters
--- | --- | ---

    template<typename Transformer>
    inverse_transformer(Transformer const & input)

Transformer const &: input:

###### Header

`#include <boost/geometry/strategies/transform/inverse_transformer.hpp>`